diff -r f7bb8d105710 src/lib-storage/mail-storage.c
--- a/src/lib-storage/mail-storage.c	Mon May 07 04:06:49 2012 +0300
+++ b/src/lib-storage/mail-storage.c	Mon May 07 23:14:29 2012 +0300
@@ -765,6 +765,10 @@
 		return 0;
 	}
 
+	/* if this is a shared namespace with only INBOX and
+	   mail_shared_explicit_inbox=no, we'll need to mark the namespace as
+	   usable here since nothing else will. */
+	box->list->ns->flags |= NAMESPACE_FLAG_USABLE;
 	return 0;
 }
 
